<%@ Page language="c#" Codebehind="ManageCartsForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ManageCartsForm" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
	<script language="JavaScript" type="text/javascript">
		function CartMnemMask(txtMnem, cKeyVal) {
			var regEx = /^\w{1,2}(\w|-){2}\d{3}/i;
			
			//Alphanumeric check does not apply to backspace
			if (cKeyVal == 8) {
				return;
			}
			
			var iTextLength = txtMnem.value.length;
			txtMnem.value = txtMnem.value.toUpperCase ();
				
			with (txtMnem) {
				if (iTextLength > 0 && iTextLength <= 2) {
					if (!regEx1.exec (value)) {
						alert ("First three characters must be alphanumeric");
						value = value.substring (0, value.length - 1);
						focus();
					}
				} else if (iTextLength > 2 && iTextLength <= 6) {
					if (!regEx2.exec (value)) {
						alert ("Characters 3-6 must be must be alphanumeric or '-'");
						value = value.substring (0, value.length - 1);
						focus();
					}
				} else if (iTextLength > 6 && iTextLength <= 9) {
					if (!regEx3.exec (value)) {
						alert ("Last 3 characters must be must be numeric");
						value = value.substring (0, value.length - 1);	
						focus();						
					}
				}
			}
		}

		function ToUpper (txtMnem, cKeyVal) {
			//Ignore left, up, rigth, and down arrows and backspace
			if (cKeyVal != 37 && cKeyVal != 38 && cKeyVal != 39 && cKeyVal != 40 && cKeyVal != 8)
				txtMnem.value = txtMnem.value.toUpperCase();
		}
		
		function MnemLength (txtMnem) {
			if (txtMnem.value.length != 9) {
				alert ("Stock list id must be 9 characters long");
				txtMnem.focus();
			}

}
$(document).ready(function() {
    if ($('.AlertMessage').text() != '') {
        $('#dialog-message').text($('.AlertMessage').text());
        $('#dialog-message').dialog({
            modal: true,
            buttons: {
                Ok: function() {
                    $(this).dialog("close");
                }
            }
        });
    }
    if ($('.ConfirmDeleteMessage').text() != '') {
        $('#dialog-confirm-delete').text($('.ConfirmDeleteMessage').text());
        $('#dialog-confirm-delete').dialog({
            modal: true,
            buttons: {
                Ok: function() {
                    $('.ConfirmDeleteMessage').html("<input type=hidden value='1' name='DELETE_HIDDEN_FIELD'>");
                    $('#aspnetForm').submit();
                    $(this).dialog("close");
                },
                Cancel: function() {
                    $(this).dialog("close");
                }
            }
        });
    }

});		
	</script>
	
	<form id="Form1" method="post" runat="server">
	
		<h1><asp:label id="lblTitle" runat="server">Manage Stock Lists</asp:label></h1>
		
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="13" runat="server" CausesValidation="False" Text="Help"></asp:button>
			<asp:button id="cmdDone" tabIndex="14" runat="server" CausesValidation="False" Text="Done"></asp:button>
		</div>
		
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<div id="dialog-confirm-delete" title="StockTaker Confirm"></div>
		<asp:Label ID="mbxConfirmDeleteBox" runat="server" style="display:none;" class="ConfirmDeleteMessage"/>		
	
		<fieldset class="stFieldset">
			<legend>Management Options</legend>
			<asp:button id="cmdMngSchedule" tabIndex="10" runat="server" CausesValidation="False" Text="Manage Schedules"></asp:button>
			<asp:button id="cmdMngFacility" tabIndex="12" runat="server" CausesValidation="False" Text="Manage Health Facilities"></asp:button>
			<asp:button id="cmdMngStockLists" tabIndex="10" runat="server" Text="Manage Stock Lists" CausesValidation="False" Enabled="False"></asp:button>
		</fieldset>

		
		<fieldset class="stFieldset">
			<legend><asp:label id="lblMode" runat="server">Add Form</asp:label></legend>

			<div class="miniNav2">
				<asp:button id="cmdAdd" tabIndex="7" runat="server" CausesValidation="False" Text="Add Stock List Form" Enabled="False"></asp:button>
				<asp:button id="cmdEdit" tabIndex="8" runat="server" CausesValidation="False" Text="Edit Stock List Form"></asp:button>
				<asp:button id="cmdDelete" tabIndex="9" runat="server" CausesValidation="False" Text="Delete Stock List Form"></asp:button>
			</div>
			

			<asp:panel id="pnlCartPanel" runat="server">
				
				<asp:Label id="lblCart" runat="server" CssClass="padGen" Visible="False">Please Select a Stock List: </asp:Label>
				<asp:DropDownList id="cboCarts" runat="server" Visible="False" AutoPostBack="True"></asp:DropDownList>
				
				<div class="innerPanel">				
					<table cellpadding="2" cellspacing="2" border="0">
						<tr>
							<td>
								<asp:Label id="lblCartId" runat="server">Stock List ID (10 characters max):</asp:Label><br />
								<asp:TextBox id="txtCartId" onkeyup="ToUpper (this, event.keyCode)" tabIndex="1" runat="server" Width="176px" MaxLength="10"></asp:TextBox>
								<asp:RequiredFieldValidator id="mnemReqValidator" runat="server" ControlToValidate="txtCartId">Required</asp:RequiredFieldValidator>
								<asp:CustomValidator id="mnemLengthValidator" runat="server" ControlToValidate="txtCartId"></asp:CustomValidator>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblCartDescription" runat="server">Stock List Description (50 characters max):</asp:Label><br />
								<asp:TextBox id="txtCartDescription" tabIndex="2" runat="server" Width="296px" MaxLength="50"></asp:TextBox>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblFacility" runat="server">Health Facility:</asp:Label><br />			
								<asp:DropDownList id="cboFacilities" tabIndex="3" runat="server"></asp:DropDownList>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Button id="cmdSave" tabIndex="4" runat="server" Text="Save"></asp:Button>
								<asp:Button id="cmdCanel" tabIndex="6" runat="server" Text="Cancel" CausesValidation="False"></asp:Button>
								<asp:Button id="cmdDeleteRecord" tabIndex="5" runat="server" Text="Delete" Visible="False"></asp:Button>
							</td>
						</tr>
					</table>
				</div>
			</asp:panel>

		
		</fieldset>	
		
	</form>
</asp:Content>