<%@ Page language="c#" Codebehind="ViewScheduleForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ViewScheduleForm" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
<script language="javascript" type="text/javascript">
		 $(document).ready(function() {		 
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
</script>
	<form id="Form1" method="post" runat="server">	
		<h1>View Stock Take Schedules</h1>		
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="2" runat="server" Text="Help"></asp:button>
			<asp:label id="lblTitle" runat="server" ></asp:label>
			<asp:button id="cmdDone" tabIndex="3" runat="server" Text="Done"></asp:button>
		</div>
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<fieldset class="stFieldset">
			<legend>Select Schedules</legend>
			<table cellpadding="0" cellspacing="2" border="0">
				<tr>
					<td><asp:label id="lblSelectFacility" runat="server">Select A Health Facility:</asp:label></td>
					<td><asp:dropdownlist id="cboFacility" runat="server" AutoPostBack="True"></asp:dropdownlist></td>
				</tr>
				<tr>
					<td><asp:label id="lblWeekDay" runat="server">Select a Day of the Week:&nbsp;</asp:label></td>
					<td><asp:dropdownlist id="cboWeekDay" tabIndex="1" runat="server" Width="168px" AutoPostBack="True"></asp:dropdownlist></td>
				</tr>
				<tr>
					<td><asp:label id="lblDescription" runat="server">Select a Description:</asp:label></td>
					<td><asp:dropdownlist id="cboDescription" runat="server" AutoPostBack="True" Enabled="False"></asp:dropdownlist></td>
				</tr>
			</table>
			
			<table cellpadding="0" cellspacing="2" border="0">
				<tr>
					<td colspan="2"><br /><asp:label id="lblCartsScheduled" runat="server">Stock Lists Scheduled:</asp:label></td>
				</tr>
				<tr>
					<td><asp:listbox id="lstCartsScheduled" runat="server" Width="450px" Height="150px"></asp:listbox></td>
					<td valign="top" align="center">&nbsp;&nbsp;<asp:button id="cmdPrintView" runat="server" Text="Print View"></asp:button></td>
				</tr>
			</table>			
		</fieldset>
		
	</form>

</asp:Content>